#
# Module services
#
# Copyright (c) 2011-present Qualiteam software Ltd. All rights reserved.
# See https://www.x-cart.com/license-agreement.html for license details.

services:
  XC\TireAndWheelSkin\Core\EventListener:
    arguments:
      $moduleManagerDomain: '@XCart\Domain\ModuleManagerDomain'
    tags:
      - {name: kernel.event_listener, event: xcart.service.view-list.collect-mutation, method: onCollectViewListMutations}

  XC\TireAndWheelSkin\LifetimeHook\Install:
    tags:
      - {name: xcart.lifetime-hook, moduleId: XC-TireAndWheelSkin, type: install, method: onInstall}

x_cart:
  images:
    default_image: images/no-image.svg
